'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isClean = undefined;

var _gulpGit = require('gulp-git');

var _gulpGit2 = _interopRequireDefault(_gulpGit);

var _util = require('../common/util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.isClean = isClean;

/**
 * Asynchrounously determines if the staging area is clean
 */

function isClean(repoPath, done) {
  _gulpGit2.default.exec({ cwd: repoPath, args: '--no-pager diff --cached --name-only', quiet: true }, function (err, stdout) {
    var stagingIsClean = void 0;
    if (stdout && (0, _util.isString)(stdout) && stdout.trim().length > 0) {
      stagingIsClean = false;
    } else {
      stagingIsClean = true;
    }
    done(stagingIsClean);
  });
}